Bug 665421 (CVE-2010-4528)

Summary: CVE-2010-4528 Pidgin: MSN DirectConnect DoS (crash) after receiving a short P2P message
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jrb, mbarnes, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20101226,reported=20101222,source=upstream,impact=moderate,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P/,rhel-4/pidgin=notaffected,rhel-5/pidgin=notaffected,rhel-6/pidgin=notaffected,fedora-all/pidgin=affected/cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-04 14:27:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 665856    
Bug Blocks:    

Description Jan Lieskovsky 2010-12-23 13:19:10 EST
A NULL pointer dereference flaw was found in the Pidgin MSN
DirectConnect protocol implementation, by processing certain
P2P messages. A remote, authenticated user could use this flaw
to cause denial of service (Pidgin crash).

Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue.
Upstream acknowledges Stu Tomlinson as the original reporter.
Comment 3 Jan Lieskovsky 2010-12-23 13:23:40 EST
This issue did NOT affect the versions of the Pidgin package, as shipped
with Red Hat Enterprise Linux 4, 5, or 6.

--

This issue affects the versions of the Pidgin package, as shipped with
Fedora release of 13 and 14.
Comment 6 Huzaifa S. Sidhpurwala 2010-12-27 01:44:58 EST
Public via:

http://pidgin.im/news/security/?id=49
Comment 7 Jan Lieskovsky 2010-12-27 08:39:57 EST
CVE Request:
http://www.openwall.com/lists/oss-security/2010/12/27/1
Comment 8 Jan Lieskovsky 2010-12-27 08:41:17 EST
Created pidgin tracking bugs for this issue

Affects: fedora-all [bug 665856]
Comment 10 Jan Lieskovsky 2010-12-27 08:50:48 EST
Statement:

This issue did not affect the versions of pidgin package as shipped with
Red Hat Enterprise Linux 4, 5, and 6 as this issue is specific to versions
of libpurple from 2.7.6 up to 2.7.8.
Comment 12 Huzaifa S. Sidhpurwala 2010-12-31 02:29:17 EST
This has been assigned CVE-2010-4528
Comment 14 Vincent Danen 2012-10-04 14:27:38 EDT
This was fixed in Fedora via pidgin-2.7.9-1.fc13 / fc14 / fc15:

* Mon Dec 27 2010 Stu Tomlinson <stu@...> 2.7.9-1
- 2.7.9, includes security/DoS fix in the MSN protocol (#665856)